# INITLOG.CL -- Decide what format log sheets are
# appropriate and initialize logging appropriately.
# November 17, 2005

# Modified to read all info from image headers by Doug Mink, 10 May 2001
 
procedure initlog (datafile)

file	datafile=""	{prompt="Data file from which to read parameters"}

begin
        string  form, arguments, program, imfile
	int page

	imfile = datafile
        form = obslog.instname
	page = obslog.page

	program = osfn ("obslog$bin(arch)/init_log")
        if (form == "1sh") {
	    arguments = page // " " // form // " " // imfile
	    printf ("!%s %s\n", program, arguments) | cl
	    }

	else if(form == "4sh"){
	    arguments = page // " " // form // " " // imfile // ",1"
	    printf ("!%s %s\n", program, arguments) | cl
	    }

	else if (form == "ech") {
	    arguments = page // " " // form // " " // imfile
	    printf ("!%s %s\n", program, arguments) | cl
	    }

	else if (form == "fast") {
	    arguments = page // " " // form // " " // imfile
	    printf ("!%s %s\n", program, arguments)
	    printf ("!%s %s\n", program, arguments) | cl
	    }

	else if (form == "hspec" || form == "hectospec") {
	    arguments = page // " " // "hectospec" // " " // imfile
	    printf ("!%s %s\n", program, arguments)
	    printf ("!%s %s\n", program, arguments) | cl
	    }

	else if (form == "hchelle" || form == "hectochelle") {
	    arguments = page // " " // "hectochelle" // " " // imfile
	    printf ("!%s %s\n", program, arguments)
	    printf ("!%s %s\n", program, arguments) | cl
	    }

	else {
	    printf ("unknown log sheet format `%s'\n", form)
	    }
end

# Apr 18 2001	(Doug Mink) use init_fast to set FAST headers
# May 10 2001	(Doug Mink) use init_log for all headers
#
# Mar  2 2004	(Doug Mink) Add Hectospec and Hectochelle
#
# Nov 17 2005	(DOug Mink) use bin(arch) instead of bin
