# File obslog$Scripts/printlog.cl
# January 16, 2007
# Rewritten by Doug Mink from csh script

procedure printlog ()

string newroot=""	{prompt="Name of logging file"}
bool remake=yes		{prompt="Always remake ps file (yes or no)"}
bool verbose=no		{prompt="Log progress on display (yes or no)"}

begin

	file texname, dviname, psname, logname, root
	string arguments, program

	root = newroot
	if (root == '') {
	    root = obslog.logroot
	    if (root == '') {
		print ("Log name not defined - epar viewlog or obslog")
		return
		}
	    }

	texname = root // ".tex"
	logname = root // ".lis"
	dviname = root // ".dvi"
	psname = root // ".ps"

	if (!access (psname) || remake) {
	    if (!access (dviname) || remake) {
		if (!access (texname) || remake) {
		    if (!access (logname)) {
			print ("Log file ",logname," not found - Run loginit")
			return
			}
		    if (verbose)
			print ("making ",texname," from ",logname)
		    arguments = root // " " // obslog.instname
		    arguments = arguments // " " // osfn ("obslog$lib")
		    program = osfn ("obslog$bin(arch)/tex_log")
		    printf ("!%s %s\n", program, arguments) | cl
		    }
		if (verbose)
		    print ("making ",dviname," from ",texname)
	        tex (texname)
		}
	    if (!access (dviname)) {
		print (dviname," not made")
		return
		}
	    arguments = "-P pdf -t letter -t landscape " // dviname // " -o " // psname
	    if (verbose)
		print ("making ",psname," from ",dviname)
	    dvips (arguments)
	    }

# Print the Postscript file
	if (!access (psname)) 
	    print (psname," not made")
	else
	    lp (psname)
end
# May 10 2001	(Doug Mink) Rewritten from csh script
#
# Nov 17 2005	(Doug Mink) Change bin to bin(arch)
# Dec 12 2005	(Doug Mink) add "-P pdf" to dvips to get readable Acrobat files

# Jan 16 2007	(Doug Mink) Add "-t letter" to get the page size right in Linux
