/*	Routine to check for special TeX characters			*/

/*	Author:	Tod R. Lauer	2/6/94
	Modified by Doug Mink, November 16, 2005	*/

/*	This routine looks for the special TeX characters: #, $, %, ^, &,
	and _ in an input word.  If these do no have a \, then one is added,
	and the word copied back.					*/

#include <string.h>
#define MAXC 640

void
texcheck(word)

char *word;

{
	char	line[MAXC], *wp, *lp;

	int	slash, math;

	lp	= line;
	wp	= word;

	slash	= 0;	/*	Backslash found				*/
	math	= 0;	/*	In math mode				*/

	while (*wp != (char) 0) {
		if (*wp == '\\') {
			slash	= 1;
		} else if (*wp == '#') {
			if (!slash)
				*lp++ = '\\';

		} else if (*wp == '%') {
			if (!slash)
				*lp++ = '\\';

		} else if (*wp == '&') {
			if (!slash)
				*lp++ = '\\';

		} else if (*wp == '~') {
			if (!slash)
				*lp++ = '\\';

		} else if (*wp == '_') {
			if (!slash && !math)
				*lp++ = '\\';

		} else if (*wp == '^') {
			if (!slash && !math)
				*lp++ = '\\';

		} else if (*wp == '$') {
			if (!slash)
				math	= 1 - math;
		} else
			slash	= 0;

		*lp++	= *wp++;
	}

	*lp	='\0';
	if (math) {
		*lp++	= '$';
		*lp	= '\0';
	}

	strcpy (word,line);
	return;
}
/* Nov 15 2005	Compare to (char) 0 not NULL
 *
 * Jan 12 2007	Declare void and add return; drop unused variables
 */
